# Class GuiUtils

java.lang.Object
org.apache.jorphan.gui.GuiUtils

public final class GuiUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`GuiUtils()`

## Method Summary

Modifier and Type
Method
Description
`static JComponent`
`createLabelCombo(String label, JComboBox comboBox)`
Create a GUI component JLabel + JComboBox with a left and right margin (5px)
`static void`
`fixSize(TableColumn column, JTable table)`
Fix the size of a column according to the header text.
`static String`
`getPastedText()`
Get pasted text from clipboard
`static void`
`makeScrollableMenu(JMenu menu)`
Make menu scrollable
`static JScrollPane`
`makeScrollPane(Component comp)`
Create a scroll panel that sets its preferred size to its minimum size.
`static void`
`stopTableEditing(JTable table)`
Stop any editing that is currently being done on the table.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GuiUtils

public GuiUtils()

## Method Details

### makeScrollPane

public static JScrollPane makeScrollPane(Component comp)
Create a scroll panel that sets its preferred size to its minimum size. Explicitly for scroll panes that live inside other scroll panes, or within containers that stretch components to fill the area they exist in. Use this for any component you would put in a scroll pane (such as TextAreas, tables, JLists, etc). It is here for convenience and to avoid duplicate code. JMeter displays best if you follow this custom.

Parameters:
  `comp` - the component which should be placed inside the scroll pane
Returns:
  a JScrollPane containing the specified component

### fixSize

public static void fixSize(TableColumn column, JTable table)
Fix the size of a column according to the header text.

Parameters:
  `column` - to be resized
  `table` - containing the column

### createLabelCombo

public static JComponent createLabelCombo(String label, JComboBox comboBox)
Create a GUI component JLabel + JComboBox with a left and right margin (5px)

Parameters:
  `label` - the label
  `comboBox` - the combo box
Returns:
  the JComponent (margin+JLabel+margin+JComboBox)

### stopTableEditing

public static void stopTableEditing(JTable table)
Stop any editing that is currently being done on the table. This will save any changes that have already been made.

Parameters:
  `table` - the table to stop on editing

### getPastedText

public static String getPastedText() throws UnsupportedFlavorException, IOException
Get pasted text from clipboard

Returns:
  String Pasted text
Throws:
  `UnsupportedFlavorException` - if the clipboard data can not be get as a `String`
  `IOException` - if the clipboard data is no longer available

### makeScrollableMenu

public static void makeScrollableMenu(JMenu menu)
Make menu scrollable

Parameters:
  `menu` - `JMenu`